## org.eclipse.datatools.sqltools.sqleditor.perspectives
Class EditorPerspective

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.perspectives.EditorPerspective

All Implemented Interfaces:
  EditorConstants, org.eclipse.ui.IPerspectiveFactory

    public class EditorPerspective

extends java.lang.Object
implements org.eclipse.ui.IPerspectiveFactory, EditorConstants

Author:
  asarvesh

Field Summary

Fields inherited from interface org.eclipse.datatools.sqltools.sqleditor.EditorConstants
`CP_STATUS_CONNECTED, CP_STATUS_DELETED, CP_STATUS_DISCONNECTED, CP_STATUS_OTHER, CP_STATUS_PROP_CHANGED, CP_STATUS_RENAMED, DATA_SOURCE_EXPLORER, EDITOR_ID, LOG_VIEW, PORTABILITY_MARKER_TYPE, RESULTS_VIEW, ROUTINE_EDITOR_ID, SQL_SHORT_DESC_LENGTH, SQLFILE_EDITOR_ID, SYNTAX_MARKER_TYPE`

Constructor Summary
`EditorPerspective()`

Method Summary
`void` `createInitialLayout(org.eclipse.ui.IPageLayout layout)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditorPerspective

    public EditorPerspective()

Method Detail

### createInitialLayout

    public void createInitialLayout(org.eclipse.ui.IPageLayout layout)

  Specified by:
    `createInitialLayout` in interface `org.eclipse.ui.IPerspectiveFactory`